//package com.pokkt.plugin.common;

import android.util.Log;

import com.app.pokktsdk.AdConfig;
import com.app.pokktsdk.delegates.AdCampaignDelegate;
//import com.pokkt.plugin.PokktNativeExtension;

import java.util.HashMap;
import java.util.Map;

public class PokktAdDelegate implements AdCampaignDelegate {
    @Override
    public void onPokktInitialised(boolean isReady) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.POKKT_INITIALISED_EVENT, String.valueOf(isReady));
    }

    @Override
    public void onAdCachingCompleted(AdConfig adConfig, float adVc) {
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("AD_VC", adVc + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CACHING_COMPLETED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdCachingFailed(AdConfig adConfig, String message) {
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("MESSAGE", message);
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CACHING_FAILED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdClosed(AdConfig adConfig, boolean backButton) {
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("BACK_BUTTON", backButton + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CLOSED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdCompleted(AdConfig adConfig) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_COMPLETED_EVENT, adConfig, null);
    }

    @Override
    public void onAdDisplayed(AdConfig adConfig) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_DISPLAYED_EVENT, adConfig, null);
    }

    @Override
    public void onAdGratified(AdConfig adConfig, float reward) {
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("REWARD", reward + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_GRATIFIED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdSkipped(AdConfig adConfig) {
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_SKIPPED_EVENT, adConfig, null);
    }

    @Override
    public void onAdAvailabilityStatus(AdConfig adConfig, boolean isAvailable) {
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("IS_AVAILABLE", isAvailable + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_AVAILABILITY_EVENT, adConfig, extraValues);
    }
}
