/*
java implementation of the PokktNativeExtension extension.

Add android-specific functionality here.

These functions are called via JNI from native code.
*/
/*
 * NOTE: This file was originally written by the extension builder, but will not
 * be overwritten (unless --force is specified) and is intended to be modified.
 */
import com.ideaworks3d.marmalade.LoaderAPI;
import com.ideaworks3d.marmalade.LoaderActivity;
// Comment in the following line if you want to use ResourceUtility
// import com.ideaworks3d.marmalade.ResourceUtility;
import com.app.pokktsdk.util.Logger;
import com.app.pokktsdk.AdConfig;
import com.app.pokktsdk.util.Logger;

import java.util.Map;

class PokktNativeExtension
{
    public static native void NotifyCPP(String operation, String params);
    
    public static void notifyFramework(String operation, AdConfig adConfig, Map<String,String> extraValues) {
        NotifyCPP(operation, Parsers.getJSONStringForAdConfig(adConfig, extraValues));
    }
    
    public static void notifyFramework(String operation, String param) {
        Logger.d("[POKKT-JAVA] notifying framework of operation: " + operation + ", param: " + param);
        NotifyCPP(operation, param);
    }
    
    public void notifyNative(String operation, String param)
    {
        Logger.d("[POKKT-JAVA] received from framework, operation: " + operation + ", param: " + param);
        PokktManagerAdapter.process(operation, param, LoaderActivity.m_Activity);
    }
    
    public double getRewardedAdVcOnNative(String param)
    {
        return PokktManagerAdapter.getRewardedAdVc(Parsers.getAdConfigFromJSONString(param));
    }
    
    public String getSDKVersionOnNative()
    {
        return PokktManagerAdapter.getSDKVersion();
    }
}
