//
//  UIComponents.h
//  PokktSample
//
//  Created by Pankaj Kumar on 24/04/15.
//
//

#ifndef __PokktSample__UIComponents__
#define __PokktSample__UIComponents__

#include "scene.h"

// Constants that are used to fit the game to different screen sizes
#define FONT_HEIGHT             15
#define FONT_DESIGN_WIDTH       320
#define GRAPHIC_DESIGN_WIDTH    768

class UIComponents
{
protected:
    
    float               fontScale;                      // Font is correct size on 320 wide screen so we scale to match native screen size
    float               actualFontHeight;               // The actual pixel height of the font
    float               graphicsScale;                  // Graphics are designed for 768 wide
    
public:
    
    UIComponents();
    ~UIComponents();
    
    static CSprite* getSprite(float x, float y, CIw2DImage* image, float a_x, float a_y);
    
    static CLabel* getLabel(float x, float y, float w, float h, float a_x, float a_y, CIw2DFontAlign h_align, CIw2DFontAlign v_align, CColor color, std::string text);
    
    
    float               getGraphicsScale()      { return graphicsScale; }
    float               getFontScale()          { return fontScale; }
    
};


#endif /* defined(__PokktSample__UIComponents__) */
