
#include "MainMenu.h"
#include "IwGx.h"
#include "input.h"
#include "resources.h"
#include "OfferwallScreen.h"
#include "AdScreen.h"
#include "UIComponents.h"
#include "PCPokktConfig.h"
#include "PCPokktManager.h"
#include "Storage.h"

MainMenu::~MainMenu()
{
}

void MainMenu::Update(float deltaTime, float alphaMul)
{
    if (!m_IsActive)
        return;

    Scene::Update(deltaTime, alphaMul);

    // Detect screen tap
    if (m_IsInputActive && m_Manager->GetCurrent() == this && !g_pInput->m_Touched && g_pInput->m_PrevTouched)
    {
        g_pInput->Reset();
        if (offerwallBtn->HitTest(g_pInput->m_X, g_pInput->m_Y))
        {
            OfferwallScreen* offerwallScreen = (OfferwallScreen*)g_pSceneManager->Find("offerwallscreen");
            offerwallScreen->initPokkt();
            g_pSceneManager->SwitchTo(offerwallScreen);
        }
        else if (videoBtn->HitTest(g_pInput->m_X, g_pInput->m_Y))
        {
            AdScreen* adScreen = (AdScreen*)g_pSceneManager->Find("videoscreen");
            adScreen->initPokkt();
            g_pSceneManager->SwitchTo(adScreen);
        }
    }
}

void MainMenu::Render()
{
    Scene::Render();
}

void MainMenu::Init()
{
    Scene::Init();

    // Create UI
    CSprite* background = UIComponents::getSprite((float)IwGxGetScreenWidth() / 2, (float)IwGxGetScreenHeight() / 2, g_pResources->getScreenBG(), 0.5f, 0.5f);
    // Fit background to screen size
    background->m_ScaleX = (float)IwGxGetScreenWidth() / background->GetImage()->GetWidth();
    background->m_ScaleY = (float)IwGxGetScreenHeight() / background->GetImage()->GetHeight();
    AddChild(background);
    
    CSprite* logo = UIComponents::getSprite((float)IwGxGetScreenWidth() / 2, (float)IwGxGetScreenHeight() * 0.32f, g_pResources->getLogo(), 0.5f, 0.5f);
    AddChild(logo);
    
    float y_pos = (float)IwGxGetScreenHeight() * 0.56f;
    offerwallBtn = UIComponents::getSprite(IwGxGetScreenWidth() / 2.0f, y_pos, g_pResources->getBlueButton(), 0.5f, 0.5f);
    AddChild(offerwallBtn);
    
    y_pos = (float)IwGxGetScreenHeight() * 0.57f;
    CLabel* offerwallLbl = UIComponents::getLabel((float)IwGxGetScreenWidth() / 2.0f, y_pos + 5, (float)IwGxGetScreenWidth(), 30, 0.5f, 0.5f, IW_2D_FONT_ALIGN_CENTRE, IW_2D_FONT_ALIGN_TOP, CColor(0xff, 0xff, 0x30, 0xff), "Test Offerwall");
    
    AddChild(offerwallLbl);
    
    y_pos = (float)IwGxGetScreenHeight() * 0.64f;
    videoBtn = UIComponents::getSprite((float)IwGxGetScreenWidth() / 2.0f, y_pos, g_pResources->getBlueButton(), 0.5f, 0.5f);
    AddChild(videoBtn);
    
    y_pos = (float)IwGxGetScreenHeight() * 0.65f;
    CLabel* videoLbl = UIComponents::getLabel((float)IwGxGetScreenWidth() / 2.0f, y_pos + 5, (float)IwGxGetScreenWidth(), 30, 0.5f, 0.5f, IW_2D_FONT_ALIGN_CENTRE, IW_2D_FONT_ALIGN_TOP, CColor(0xff, 0xff, 0x30, 0xff), "Test Video");
    AddChild(videoLbl);
}
