
#if !defined(__RESOURCES_H__)
#define __RESOURCES_H__

#define MAX_GEM_TYPES   5

#include "Iw2D.h"
#include "Iw2DSceneGraph.h"

using namespace Iw2DSceneGraph;

/**
 * @class Resources
 *
 * @brief Resources class
 *
 * The that manages the lifetime of the following types of resources:
 * - Images
 * - Fonts
 * - Atlases
 */
class Resources
{
protected:
    CIw2DImage*     ScreenBG;
    CIw2DImage*     Logo;
    CIw2DImage*     PurpleButton;
    CIw2DImage*     BlueButton;
    CIw2DFont*      Font;
    

public:
    CIw2DImage*     getScreenBG()             { return ScreenBG; }
    CIw2DImage*     getLogo()                 { return Logo; }
    CIw2DImage*     getPurpleButton()         { return PurpleButton; }
    CIw2DImage*     getBlueButton()           { return BlueButton; }
    CIw2DFont*      getFont()                 { return Font; }

public:
    Resources();
    ~Resources();
};

extern Resources* g_pResources;

#endif  // __RESOURCES_H__


